# TdApi.InputMessageReplyToMessage (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputMessageReplyToMessage

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageReplyToMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageReplyTo
it.tdlight.jni.TdApi.InputMessageReplyToMessage

Enclosing class:
  TdApi

public static final class TdApi.InputMessageReplyToMessage extends TdApi.InputMessageReplyTo
Describes a message to be replied.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
The identifier of the chat to which the message to be replied belongs; pass 0 if the message to be replied is in the same chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`messageId`
The identifier of the message to be replied in the same or the specified chat.
`TdApi.InputTextQuote`
`quote`
Quote from the message to be replied; pass null if none.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageReplyToMessage()`
Describes a message to be replied.
`InputMessageReplyToMessage(long chatId, long messageId, TdApi.InputTextQuote quote)`
Describes a message to be replied.
`InputMessageReplyToMessage(DataInput input)`
Describes a message to be replied.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
The identifier of the chat to which the message to be replied belongs; pass 0 if the message to be replied is in the same chat. Must always be 0 for replies in secret chats. A message can be replied in another chat or topic only if message.canBeRepliedInAnotherChat.

### messageId

public long messageId
The identifier of the message to be replied in the same or the specified chat.

### quote

public TdApi.InputTextQuote quote
Quote from the message to be replied; pass null if none. Must always be null for replies in secret chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageReplyToMessage

public InputMessageReplyToMessage()
Describes a message to be replied.

### InputMessageReplyToMessage

public InputMessageReplyToMessage(long chatId, long messageId, TdApi.InputTextQuote quote)
Describes a message to be replied.

Parameters:
  `chatId` - The identifier of the chat to which the message to be replied belongs; pass 0 if the message to be replied is in the same chat. Must always be 0 for replies in secret chats. A message can be replied in another chat or topic only if message.canBeRepliedInAnotherChat.
  `messageId` - The identifier of the message to be replied in the same or the specified chat.
  `quote` - Quote from the message to be replied; pass null if none. Must always be null for replies in secret chats.

### InputMessageReplyToMessage

public InputMessageReplyToMessage(DataInput input) throws IOException
Describes a message to be replied.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`